org.bouncycastle.jce.provider

## Class MultiCertStoreSpi

- java.lang.Object
- - java.security.cert.CertStoreSpi
  - - org.bouncycastle.jce.provider.MultiCertStoreSpi

    public class MultiCertStoreSpi
    extends java.security.cert.CertStoreSpi

### Constructor Summary

Constructors
Constructor and Description
`MultiCertStoreSpi(java.security.cert.CertStoreParameters params)`

### Method Summary

Methods
`java.util.Collection` `engineGetCertificates(java.security.cert.CertSelector certSelector)`
`java.util.Collection` `engineGetCRLs(java.security.cert.CRLSelector crlSelector)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiCertStoreSpi

    public MultiCertStoreSpi(java.security.cert.CertStoreParameters params)
                      throws java.security.InvalidAlgorithmParameterException

Throws:
  `java.security.InvalidAlgorithmParameterException`

### Method Detail

#### engineGetCertificates

    public java.util.Collection engineGetCertificates(java.security.cert.CertSelector certSelector)
                                               throws java.security.cert.CertStoreException

Specified by:
  `engineGetCertificates` in class `java.security.cert.CertStoreSpi`
Throws:
  `java.security.cert.CertStoreException`

#### engineGetCRLs

    public java.util.Collection engineGetCRLs(java.security.cert.CRLSelector crlSelector)
                                       throws java.security.cert.CertStoreException

Specified by:
  `engineGetCRLs` in class `java.security.cert.CertStoreSpi`
Throws:
  `java.security.cert.CertStoreException`